Bug 732275 - VDSM - Storage: Blocking NFS master domain causes other domains to be reported as having 0 free space
Summary: VDSM - Storage: Blocking NFS master domain causes other domains to be reporte...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.1
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Igor Lvovsky
QA Contact: Daniel Paikov
URL:
Whiteboard: Storage
Depends On: 736645
Blocks: 728990
TreeView+ depends on / blocked
 
Reported: 2011-08-21 14:21 UTC by Daniel Paikov
Modified: 2013-07-04 07:50 UTC (History)
9 users (show)

Fixed In Version: vdsm-4.9-97.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 07:37:38 UTC


Attachments (Terms of Use)
rhevm.log (266.49 KB, application/x-compressed-tar)
2011-08-21 14:21 UTC, Daniel Paikov
no flags Details
vdsm.log (956.14 KB, application/x-compressed-tar)
2011-08-23 14:12 UTC, Daniel Paikov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:1782 normal SHIPPED_LIVE new packages: vdsm 2011-12-06 11:55:51 UTC

Description Daniel Paikov 2011-08-21 14:21:06 UTC
Created attachment 519182 [details]
rhevm.log

The fix to bug #728990 seems to have created or exposed a new bug.

* NFS DC with 2 data domains on 2 storage servers.
* Block master data domain with iptables.
* Reconstruct is run on the 2nd domain.
* When reconstruct is finished, RHEVM disconnects the new master. Both domains are marked as Inactive and the DC is marked as Maintenance.

Comment 1 Daniel Paikov 2011-08-23 14:11:11 UTC
Moving to VDSM. The problem is that VDSM is falsely reporting the non-problematic NFS domain as having zero free space:

f3d42d46-b9f2-4e42-88b5-fd53a2a7af1f = {'status': 'Active', 'diskfree': '0', 'disktotal': '0'}

Comment 2 Daniel Paikov 2011-08-23 14:12:30 UTC
Created attachment 519471 [details]
vdsm.log

Comment 4 Igor Lvovsky 2011-08-31 15:20:09 UTC
http://gerrit.usersys.redhat.com/#change,862

Comment 5 Igor Lvovsky 2011-09-04 14:10:52 UTC
The right gerrit for this bug is
http://gerrit.usersys.redhat.com/#change,894

Comment 7 Daniel Paikov 2011-09-11 09:55:28 UTC
Blocked by bug #736645. Will test again when it's resolved.

Comment 8 Daniel Paikov 2011-09-15 09:20:04 UTC
Checked on 4.9-100.

Comment 9 errata-xmlrpc 2011-12-06 07:37:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2011-1782.html


Note You need to log in before you can comment on or make changes to this bug.